# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# /feedstock/recipe, last modified Wed Feb  7 18:33:38 2024
# ------------------------------------------------

package:
  name: pyarrow
  version: 14.0.2
source:
  sha256: 1304dedb41896008b89fe0738c71a95d9b81752efc77fa70f264cb1da15d9bc2
  url: https://archive.apache.org/dist/arrow/arrow-14.0.2/apache-arrow-14.0.2.tar.gz
build:
  missing_dso_whitelist:
    - '*/libarrow_python.so'
    - '*/libarrow_python_flight.so'
  number: '0'
  rpaths:
    - /croot/pyarrow_1707330824290/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold/lib/python3.8/site-packages/pyarrow
    - lib/
  string: py38h1eedbd7_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 haa98f57_10
    - binutils_impl_linux-64 2.38 h2a08ee3_1
    - binutils_linux-64 2.38.0 hc2dff05_0
    - bzip2 1.0.8 h7b6447c_0
    - c-ares 1.19.1 h5eee18b_0
    - ca-certificates 2023.12.12 h06a4308_0
    - cmake 3.26.4 h96355d8_0
    - expat 2.5.0 h6a678d5_0
    - gcc_impl_linux-64 11.2.0 h1234567_1
    - gcc_linux-64 11.2.0 h5c386dc_0
    - gxx_impl_linux-64 11.2.0 h1234567_1
    - gxx_linux-64 11.2.0 hc2dff05_0
    - kernel-headers_linux-64 3.10.0 h57e8cba_10
    - krb5 1.20.1 h143b758_1
    - ld_impl_linux-64 2.38 h1181459_1
    - libcurl 8.5.0 h251f7ec_0
    - libedit 3.1.20230828 h5eee18b_0
    - libev 4.33 h7f8727e_1
    - libffi 3.4.4 h6a678d5_0
    - libgcc-devel_linux-64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libnghttp2 1.57.0 h2d74bed_0
    - libssh2 1.10.0 hdbd6064_2
    - libstdcxx-devel_linux-64 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h5eee18b_0
    - libuv 1.44.2 h5eee18b_0
    - lz4-c 1.9.4 h6a678d5_0
    - make 4.2.1 h1bed415_1
    - ncurses 6.4 h6a678d5_0
    - ninja 1.10.2 h06a4308_5
    - ninja-base 1.10.2 hd09550d_5
    - openssl 3.0.13 h7f8727e_0
    - python 3.12.1 h996f2a0_0
    - readline 8.2 h5eee18b_0
    - rhash 1.4.3 hdbd6064_0
    - sqlite 3.41.2 h5eee18b_0
    - sysroot_linux-64 2.17 h57e8cba_10
    - tk 8.6.12 h1ccaba5_0
    - tzdata 2023d h04d1e81_0
    - xz 5.4.5 h5eee18b_0
    - zlib 1.2.13 h5eee18b_0
    - zstd 1.5.5 hc292b87_0
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - abseil-cpp 20211102.0 hd4dd3e8_0
    - arrow-cpp 14.0.2 h374c478_1
    - aws-c-auth 0.6.19 h5eee18b_0
    - aws-c-cal 0.5.20 hdbd6064_0
    - aws-c-common 0.8.5 h5eee18b_0
    - aws-c-compression 0.2.16 h5eee18b_0
    - aws-c-event-stream 0.2.15 h6a678d5_0
    - aws-c-http 0.6.25 h5eee18b_0
    - aws-c-io 0.13.10 h5eee18b_0
    - aws-c-mqtt 0.7.13 h5eee18b_0
    - aws-c-s3 0.1.51 hdbd6064_0
    - aws-c-sdkutils 0.1.6 h5eee18b_0
    - aws-checksums 0.1.13 h5eee18b_0
    - aws-crt-cpp 0.18.16 h6a678d5_0
    - aws-sdk-cpp 1.10.55 h721c034_0
    - blas 1.0 mkl
    - boost-cpp 1.82.0 hdb19cb5_2
    - bzip2 1.0.8 h7b6447c_0
    - c-ares 1.19.1 h5eee18b_0
    - ca-certificates 2023.12.12 h06a4308_0
    - cython 3.0.6 py38h5eee18b_0
    - gflags 2.2.2 h6a678d5_1
    - glog 0.5.0 h6a678d5_1
    - grpc-cpp 1.48.2 he1ff14a_1
    - icu 73.1 h6a678d5_0
    - intel-openmp 2023.1.0 hdb19cb5_46306
    - krb5 1.20.1 h143b758_1
    - ld_impl_linux-64 2.38 h1181459_1
    - libboost 1.82.0 h109eef0_2
    - libbrotlicommon 1.0.9 h5eee18b_7
    - libbrotlidec 1.0.9 h5eee18b_7
    - libbrotlienc 1.0.9 h5eee18b_7
    - libcurl 8.5.0 h251f7ec_0
    - libedit 3.1.20230828 h5eee18b_0
    - libev 4.33 h7f8727e_1
    - libevent 2.1.12 hdbd6064_1
    - libffi 3.4.4 h6a678d5_0
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libnghttp2 1.57.0 h2d74bed_0
    - libprotobuf 3.20.3 he621ea3_0
    - libssh2 1.10.0 hdbd6064_2
    - libstdcxx-ng 11.2.0 h1234567_1
    - libthrift 0.15.0 h1795dd8_2
    - lz4-c 1.9.4 h6a678d5_0
    - mkl 2023.1.0 h213fc3f_46344
    - mkl-service 2.4.0 py38h5eee18b_1
    - mkl_fft 1.3.8 py38h5eee18b_0
    - mkl_random 1.2.4 py38hdb19cb5_0
    - ncurses 6.4 h6a678d5_0
    - numpy 1.21.6 py38h5f9d8c6_0
    - numpy-base 1.21.6 py38hb5e798b_0
    - openssl 3.0.13 h7f8727e_0
    - orc 1.7.4 hb3bc3d3_1
    - packaging 23.1 py38h06a4308_0
    - pip 23.3.1 py38h06a4308_0
    - python 3.8.18 h955ad1f_0
    - re2 2022.04.01 h295c915_0
    - readline 8.2 h5eee18b_0
    - s2n 1.3.27 hdbd6064_0
    - setuptools 68.2.2 py38h06a4308_0
    - setuptools-scm 7.1.0 py38h06a4308_0
    - setuptools_scm 7.1.0 hd3eb1b0_0
    - snappy 1.1.10 h6a678d5_1
    - sqlite 3.41.2 h5eee18b_0
    - tbb 2021.8.0 hdb19cb5_0
    - tk 8.6.12 h1ccaba5_0
    - tomli 2.0.1 py38h06a4308_0
    - typing-extensions 4.9.0 py38h06a4308_1
    - typing_extensions 4.9.0 py38h06a4308_1
    - uriparser 0.9.7 h5eee18b_0
    - utf8proc 2.6.1 h5eee18b_1
    - wheel 0.41.2 py38h06a4308_0
    - xz 5.4.5 h5eee18b_0
    - zlib 1.2.13 h5eee18b_0
    - zstd 1.5.5 hc292b87_0
  run:
    - arrow-cpp >=14.0.2,<14.0.3.0a0
    - boost-cpp
    - libgcc-ng >=11.2.0
    - libstdcxx-ng >=11.2.0
    - numpy >=1.16.6,<2.0a0
    - python >=3.8,<3.9.0a0
test:
  commands:
    - test ! -f ${SP_DIR}/pyarrow/tests/test_array.py
    - test -f ${SP_DIR}/pyarrow/libarrow_python_flight${SHLIB_EXT}
    - test -f ${SP_DIR}/pyarrow/libarrow_python${SHLIB_EXT}
  imports:
    - pyarrow
    - pyarrow._hdfs
    - pyarrow._s3fs
    - pyarrow.compute
    - pyarrow.csv
    - pyarrow.dataset
    - pyarrow.filesystem
    - pyarrow.flight
    - pyarrow.fs
    - pyarrow.json
    - pyarrow.orc
    - pyarrow.parquet
about:
  description: 'This library provides a Python API for functionality provided by the
    Arrow C++ libraries,

    along with tools for Arrow integration and interoperability with pandas, NumPy,
    and other

    software in the Python ecosystem.

    '
  dev_url: https://github.com/apache/arrow/tree/master/python
  doc_url: https://github.com/apache/arrow/blob/master/docs/source/developers/python.rst
  home: https://github.com/apache/arrow
  license: Apache-2.0
  license_family: Apache
  license_file: LICENSE.txt
  summary: Python libraries for Apache Arrow
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 689344f2-d149-463c-99cc-244162272656
  recipe-maintainers:
    - cpcloud
    - jreback
    - kou
    - kszucs
    - pcmoritz
    - pitrou
    - robertnishihara
    - siddharthteotia
    - wesm
    - xhochy
  remote_url: git@github.com:AnacondaRecipes/pyarrow-feedstock.git
  sha: 9e8f0c8089c1d4ed26c64df1eccaa100f05e4f0f
